Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class AbstractPerturbation

[frames] | no frames]

# Class AbstractPerturbation

source code

    object --+
             |
            AbstractPerturbation

Known Subclasses:
  - ReducedHamiltonianPerturbation

Describes an abstract system perturbation

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__call__(self, state) Performs the perturbation of the system and / or the state | source code

__init__(self, sys_before, sys_after, param=None, evaluate_work=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``_calculate_jacobian``'``,` `'``_calc``...``

Properties
| evaluate_work
| param
| sys_after
| sys_before
Inherited from `object`: `__class__`

Method Details

### __call__(self, state)
(Call operator)

source code

Performs the perturbation of the system and / or the state

Parameters:
  - `state` (State) - system state

### __init__(self, sys_before, sys_after, param=None, evaluate_work=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sys_before` (AbstractSystemInfo) - information about the system before the perturbation
  - `sys_after` (AbstractSystemInfo) - information about the system after the perturbation
  - `param` (AbstractPerturbationParam) - parameters neccessary for system perturbation
  - `evaluate_work` (boolean) - Allows to switch off the work evaluation, which might not always be needed, in order to save computation time.
Overrides: object.__init__
  (inherited documentation)

Class Variable Details

### __abstractmethods__

Value:

      frozenset(['_calculate_jacobian',
                 '_calculate_work',
                 '_run_perturbator'])

Property Details

### evaluate_work

Get Method:
  unreachable.evaluate_work(self)
Set Method:
  unreachable.evaluate_work(self, value)

### param

Get Method:
  unreachable.param(self)
Set Method:
  unreachable.param(self, value)

### sys_after

Get Method:
  unreachable.sys_after(self)
Set Method:
  unreachable.sys_after(self, value)

### sys_before

Get Method:
  unreachable.sys_before(self)
Set Method:
  unreachable.sys_before(self, value)